Subject: Re: [Gen-art] Genart last call review of draft-ietf-stir-passport-divert-07

From: Alissa Cooper <[email-masked]>
Date: Mon, 6 Apr 2020 11:48:14 -0400

Pete, thanks for your review. I entered a No Objection ballot.

Alissa

> On Jan 10, 2020, at 12:50 AM, Pete Resnick via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Pete Resnick
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Note that while this is labeled a Last Call review, this review comes well
> after the Last Call completed. However, the author and AD felt it would be
> useful anyway since the document has not yet been updated for Last Call
> comments.
> 
> Document: draft-ietf-stir-passport-divert-07
> Reviewer: Pete Resnick
> Review Date: 2020-01-09
> IETF LC End Date: 2019-12-02
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: Ready with Nits
> 
> While I found the document (and particularly section 4) very technically dense,
> I think the detail will help implementers tremendously. Nothing other than a
> few editorial issues.
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits/editorial comments:
> 
> Section 3, paragraph 1:
> 
>                                                               Note that
>   a new PASSporT is only necessary when the canonical form of the
>   "dest" identifier (per the canonicalization procedures in [RFC8224]
>   Section 8) changes due to this retargeting.  If the canonical form of
>   the "dest" identifiier is not changed during retargeting, then a new
>   PASSporT with a "div" claim MUST NOT be produced.
> 
> Seems to me that these two sentences should be in their own paragraph. It took
> me a second to figure out that the following sentence was not related to these.
> 
> Section 4:
> 
>   ...Other using protocols of PASSporT
> 
> Don't you mean "Other protocols using PASSporT"?
> 
> Section 4.2, paragraph 2:
> 
> I think you mean "necessarily", not "necessary"
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art